### Function

# GimpUi prop_pointer_combo_box_new

since: 2.10

#### Declaration [src]

    GtkWidget*
    gimp_prop_pointer_combo_box_new (
      GObject* config,
      const gchar* property_name,
      GimpIntStore* store
    )

#### Description [src]

Creates a `GimpIntComboBox` widget to display and set the specified property. The contents of the widget are determined by `store`, which should be created using gimp_int_store_new(). Values are GType/gpointer data, and therefore must be stored in the “user-data” column, instead of the usual “value” column.

Available since: 2.10

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of GType/gpointer property controlled by combo box.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`store`

  Type: `GimpIntStore`

  `GimpIntStore` holding list of labels, values, etc.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The newly created `GimpIntComboBox` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.